kafra_app/urls.py
from django.conf.urls import url, include
from rest_framework import routers
from . import views
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', views.index, name='index'),
    path('registro',views.registro, name='registro'), 
    path('acceso',views.acceso, name='acceso'),     
    path('cerrar',views.cerrar, name='cerrar'),    
    path('producto/', views.producto_ver, name="producto_ver"), 
    path('producto/new/', views.producto_crear, name="producto_crear"),     
    path('producto/<int:id>/',views.producto_eliminar, name='producto_eliminar'),
    path('producto/<int:pk>/edit/',views.producto_editar, name='producto_editar'),
    path('tienda/', views.tienda_ver, name="tienda_ver"),     
    path('tienda/new/', views.tienda_crear, name="tienda_crear"),    
    path('tienda/<int:id>/',views.tienda_eliminar, name='tienda_eliminar'), 
    path('tienda/<int:id>/ok/',views.tienda_ok, name='tienda_ok'),
    path('lista/', views.lista_ver, name="lista_ver"),
    path('lista/new/', views.lista_crear, name="lista_crear"),
    path('lista/<int:id>/',views.lista_eliminar, name='lista_eliminar'), 
    path('lista/<int:id>/edit/',views.lista_editar, name='lista_editar'),
    path('lista/<int:id>/view/',views.lista_detalle, name='lista_detalle'),
    path('lista/<int:id>/add/',views.lista_agregar, name='lista_agregar'),    
    path('lista/<int:lista>/<int:producto>',views.productolista_eliminar, name='productolista_eliminar'), 
]

kafra_config/urls.py
from django.conf.urls import url, include
from rest_framework import routers
from kafra_app import views
from django.contrib import admin
from django.urls import path, include
from django.views.generic import TemplateView

router = routers.DefaultRouter()
router.register(r'personas', views.PersonaViewSet)


# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns = [    
    path(r'', include('kafra_app.urls')), 
    url(r'^admin/', admin.site.urls),    
    url(r'^api/', include(router.urls)),
    path('', include('pwa.urls')),
    url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework')),
    url(r'^oauth/', include('social_django.urls', namespace='social')), 
]

kafra_app/models.py
from django.db import models
from django.contrib.auth.models import User
from datetime import datetime

# Create your models here.

class Persona(models.Model):

    usuario = models.OneToOneField(User, on_delete=models.CASCADE)
    email = models.EmailField(blank=False, max_length=100, primary_key=True, verbose_name='Correo Electrónico')
    run = models.CharField(max_length=12, verbose_name='Run')
    nombre_completo = models.CharField(max_length=50, verbose_name='Nombre Completo')
    fechanac = models.DateField( verbose_name='Fecha de Nacimiento')
    telefono = models.IntegerField(verbose_name='Teléfono')
    regiones = models.CharField(max_length=40, verbose_name='Región')
    comunas = models.CharField(max_length=40, verbose_name='Comuna')
    contrasenia = models.CharField(blank=False, max_length=20, default=None, verbose_name='Contraseña')
    
    def __str__(self):
        return self.email


class Tienda(models.Model):


    DISPONIBLE = 'Disponible'
    PENDIENTE = 'Pendiente'

    ESTADOS_CHOICES = (
        (DISPONIBLE, 'Disponible'),
        (PENDIENTE, 'Pendiente'),
    )

    nombre_tienda = models.CharField(max_length = 60, verbose_name='Nombre Tienda')
    nombre_sucursal = models.CharField(max_length = 60, verbose_name='Nombre Sucursal')
    direccion = models.CharField(max_length = 60, verbose_name='Direccion')
    comunas = models.CharField(max_length=40, verbose_name='Comuna')
    regiones =  models.CharField(max_length=40, verbose_name='Región')
   
    estados = models.CharField(max_length=10, choices=ESTADOS_CHOICES, default=PENDIENTE, )

    def __str__(self):
        return self.nombre_tienda


class Producto(models.Model):
    tienda = models.ForeignKey(Tienda, on_delete=models.CASCADE)
    nombre_producto = models.CharField(max_length = 60, verbose_name='Nombre')
    costo_presupuesto = models.IntegerField( verbose_name='Costo Presupuesto')
    costo_real = models.IntegerField( verbose_name='Costo Real')
    nota_adicionales =  models.CharField(max_length=40, verbose_name='Nota Adicionales')

    def __str__(self):
        return self.nombre_producto

class Lista(models.Model):


    usuario = models.ForeignKey(User, on_delete=models.CASCADE)
    nombre_lista = models.CharField(max_length = 60, verbose_name='Nombre de Lista')
    
   
    def __str__(self):
        return self.nombre_lista


class Productolista(models.Model):
    lista = models.ForeignKey(Lista, on_delete=models.CASCADE)
    producto = models.ForeignKey(Producto, on_delete=models.CASCADE)


    def __str__(self):
        return self.lista.nombre_lista + " - " + self.producto.nombre_producto

kafra_app/views.py
from django.contrib.auth.models import User, Group
from django.shortcuts import render_to_response, redirect, render, get_object_or_404
from django.template import RequestContext
from django.utils import timezone
from django.contrib.auth.decorators import login_required
from django.contrib.auth import authenticate, logout, login as auth_login
from django.http import HttpResponse
from django.views.decorators.csrf import csrf_exempt
from django.db.models import Sum

from rest_framework import viewsets
from rest_framework.permissions import IsAuthenticated, IsAdminUser
from rest_framework.renderers import JSONRenderer
from rest_framework.parsers import JSONParser

from .models import Persona, Tienda, Lista, Producto, Productolista
from .forms import PersonaForm, UsuarioForm, TiendaForm, ListaForm, ProductoForm, ProductolistaForm
from .serializers import PersonaSerializer, ProductoSerializer


class JSONResponse(HttpResponse):
    def __init__(self, data, **kwargs):
        content = JSONRenderer().render(data)
        kwargs['content_type'] = 'application/json'
        super(JSONResponse, self).__init__(content, **kwargs)


def base_layout(request):
	return render(request,'base.html')

def index(request):
    return render(request, 'index.html', {})


def registro(request):
    if request.method == "POST":
        form = PersonaForm(request.POST)
        if form.is_valid():

            usuario = form.cleaned_data['email']
            password = form.cleaned_data['contrasenia']

            try:
                user_val = User.objects.get(
                    username=form.cleaned_data['email'])
            except User.DoesNotExist:
                user_val = None

            if user_val is None:
                user = User.objects.create_user(usuario, usuario, password)
                user.save()
                persona = form.save(commit=False)
                persona.usuario = user
                persona.save()
                return redirect('index')
        return render(request, 'registro.html', {'form': form})
    else:
        form = PersonaForm()
        return render(request, 'registro.html', {'form': form})



def acceso(request):
    if request.method == "POST":
        form = UsuarioForm(request.POST)
        user = None
        usuario = request.POST['username']
        password = request.POST['password']
        user = authenticate(request, username=usuario, password=password)
        if user is not None:
            auth_login(request, user)
            return redirect('index')
    else:
        form = UsuarioForm()
    return render(request, 'acceso.html', {'form': form})


def cerrar(request):
    logout(request)
    return redirect('index')

def lista_ver(request):
    if request.user.is_superuser:
        return render(request, 'lista.html', {'lista': Lista.objects.all()})
    else:
        return render(request, 'lista.html', {'lista': Lista.objects.filter(usuario=request.user)})

def lista_crear(request):
    if request.method == "POST":
        form = ListaForm(request.POST)
        if form.is_valid():            
            lista = form.save(commit=False)
            lista.usuario = request.user
            lista.save()
            if request.user.is_superuser:
                return render(request, 'lista.html', {'lista': Lista.objects.all()})
            else:
                return render(request, 'lista.html', {'lista': Lista.objects.filter(usuario=request.user)})
        return render(request, 'lista_crear.html', {'form': form})
    else:
        form = ListaForm()
        return render(request, 'lista_crear.html', {'form': form})

def lista_editar(request, id):
    lista = get_object_or_404(Lista, pk=id)
    if request.method == "POST":
        form = ListaForm(request.POST, instance=lista)
        if form.is_valid():
            lista = form.save(commit=False)
            lista.save()
            if request.user.is_superuser:
                return render(request, 'lista.html', {'lista': Lista.objects.all()})
            else:
                return render(request, 'lista.html', {'lista': Lista.objects.filter(usuario=request.user)})
        return render(request, 'lista_crear.html', {'form': form})    
    else:
        form = ListaForm(instance=lista)
        return render(request, 'lista_crear.html', {'form': form})


def lista_eliminar(request, id):    
    lista = Lista.objects.get(pk = id)
    lista.delete()
    if request.user.is_superuser:
        return render(request, 'lista.html', {'lista': Lista.objects.all()})
    else:
        return render(request, 'lista.html', {'lista': Lista.objects.filter(usuario=request.user)})


def tienda_ok(request, id):    
    tienda = Tienda.objects.get(pk = id)
    tienda.estados = "Disponible"
    tienda.save()
    return render(request, 'tienda.html', {'tienda': Tienda.objects.all()})



def tienda_ver(request):
    return render(request, 'tienda.html', {'tienda': Tienda.objects.all()})

def tienda_crear(request):
    if request.method == "POST":
        form = TiendaForm(request.POST)
        if form.is_valid():
            tienda = form.save(commit=False)
            tienda.save()
            return render(request, 'tienda.html', {'tienda': Tienda.objects.all()})
        return render(request, 'tienda_crear.html', {'form': form})
    else:
        form = TiendaForm()
        return render(request, 'tienda_crear.html', {'form': form})


def tienda_eliminar(request, id):    
    tienda = Tienda.objects.get(pk = id)
    tienda.delete()
    return render(request, 'tienda.html', {'tienda': Tienda.objects.all()}  )


def producto_ver(request):
    return render(request, 'producto.html', {'producto': Producto.objects.all()})

def producto_crear(request):
    if request.method == "POST":
        form = ProductoForm(request.POST)
        if form.is_valid():
            producto = form.save(commit=False)
            producto.save()
            return render(request, 'producto.html', {'producto': Producto.objects.all()})
        
        form.fields["tienda"].queryset = Tienda.objects.filter(estados="Disponible")
        return render(request, 'producto_crear.html', {'form': form})
    else:
        form = ProductoForm()      
        form.fields["tienda"].queryset = Tienda.objects.filter(estados="Disponible")
        return render(request, 'producto_crear.html', {'form': form})
  


def producto_editar(request, pk):
    producto = get_object_or_404(Producto, pk=pk)
    if request.method == "POST":
        form = ProductoForm(request.POST, instance=producto)
        if form.is_valid():
            producto = form.save(commit=False)
            producto.save()
            return render(request, 'producto.html', {'producto': Producto.objects.all()}
            )
    else:
        form = ProductoForm(instance=producto)        
        form.fields["tienda"].queryset = Tienda.objects.filter(estados="Disponible")
        return render(request, 'producto_crear.html', {'form': form})

def producto_eliminar(request, id):    
    producto = Producto.objects.get(pk = id)
    producto.delete()
    return render(request, 'producto.html', {'producto': Producto.objects.all()})


def productolista_eliminar(request, lista, producto):    
    productolista = Productolista.objects.get(lista=lista, producto=producto)
    productolista.delete()

    DATA = Producto.objects.filter(productolista__lista=lista)
    DATA.count = Producto.objects.filter(productolista__lista=lista).count()
    DATA.cpres = Producto.objects.filter(productolista__lista=lista).aggregate(Sum('costo_presupuesto'))
    DATA.creal = Producto.objects.filter(productolista__lista=lista).aggregate(Sum('costo_real'))
    return render(request, 'lista_detalle.html',{'lista':Lista.objects.get(pk=lista), 'productolista':DATA})


def lista_detalle(request,id):

    DATA = Producto.objects.filter(productolista__lista=id)
    DATA.count = Producto.objects.filter(productolista__lista=id).count()
    DATA.cpres = Producto.objects.filter(productolista__lista=id).aggregate(Sum('costo_presupuesto'))
    DATA.creal = Producto.objects.filter(productolista__lista=id).aggregate(Sum('costo_real'))
    return render(request, 'lista_detalle.html', {'lista':Lista.objects.get(pk=id), 'productolista':DATA})

def lista_agregar(request,id):
    if request.method == "POST":
        form = ProductolistaForm(request.POST)
        if form.is_valid():
            producto = request.POST['producto']            
            try:                
                valida = Productolista.objects.get(lista=id, producto=producto)
            except Productolista.DoesNotExist:
                valida = None
            if valida is None:
                productolista = form.save(commit=False)
                lista = Lista.objects.get(pk = id)
                productolista.lista=lista
                productolista.save()
                DATA = Producto.objects.filter(productolista__lista=id)
                DATA.count = Producto.objects.filter(productolista__lista=id).count()
                DATA.cpres = Producto.objects.filter(productolista__lista=id).aggregate(Sum('costo_presupuesto'))
                DATA.creal = Producto.objects.filter(productolista__lista=id).aggregate(Sum('costo_real'))
                return render(request, 'lista_detalle.html',{'lista':Lista.objects.get(pk=id), 'productolista':DATA})
            else:
                return render(request, 'lista_agregar.html', {'form': form})    
            return render(request, 'lista_agregar.html', {'form': form})
    else:
        form = ProductolistaForm()        

        Q1 = Producto.objects.filter(productolista__lista=id)
        Q2 = Producto.objects.all()
        Q3 = Q2.difference(Q1) 

kafra_app/templates/acceso.html
{% extends 'base.html' %}
{% load static %}

<head>
    {% block content %}
    <title>Login Page</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/acceso.css' %}">
</head>


    <div class="container">
        <div class="d-flex justify-content-center h-100">
            <div class="card">
                <div class="card-header">
                    <h3>Sign In</h3>
                    <div class="d-flex justify-content-end social_icon">
                        <span><a href="{% url 'social:begin' 'facebook' %}"  class="fab fa-facebook-square"></a></span>
                        <span><a class="fab fa-google-plus-square" href="{% url 'social:begin' 'google-oauth2' %}"></a></span>
                        <span><a href="{% url 'social:begin' 'github' %}" class="fab fa-github-square"></a></span>
                        
                    </div>
                </div>
                <div class="card-body">
                    <form action="{% url 'acceso' %}" id="formulary-login" method="post">
                            <input type="hidden" name="csrfmiddlewaretoken" value="odPkoBOGCDaJR4YllntUpd8oL4LOnimjDOQiRHyLVqibAi3925WrEjO3jUn4KLEG">
                        {% csrf_token %}
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-user"></i></span>
                            </div>
                            <input class="form-control" type="text" name="username" id="username" placeholder="Ingrese usuario">

                        </div>
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-key"></i></span>
                            </div>
                            <input class="form-control" type="password" name="password" id="password"
                                placeholder="Ingrese contraseña">
                        </div>
                        <div class="row align-items-center remember">
                            <input type="checkbox">Recuerdame
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Iniciar" class="btn float-right login_btn">
                        </div>
                    </form>
                </div>
                <div class="card-footer">
                    <div class="d-flex justify-content-center links">
                        No tienes cuenta?<a href="#registro.html">Registrate</a>
                    </div>
                    <div class="d-flex justify-content-center">
                        <a href="#">Recupera tu cuenta?</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
   

{% endblock %}

kafra_app/templates/base.html
<!DOCTYPE html>
<html lang="es">


{% load static%}

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Kafra - Store</title>
  <link rel="icon" href="{% static 'img/favicon.ico' %}">
  <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/flexboxgrid.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/lightbox.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/estilo.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/footer.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/style.css' %}" type="text/css">
  <link rel="stylesheet" href="{% static 'css/header.css' %}" type="text/css">
  <link rel="manifest" href="{% static 'json/manifest.json' %}">
  <link href='http://fonts.googleapis.com/css?family=Cookie' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <link href="https://fonts.googleapis.com/css?family=Roboto+Slab" rel="stylesheet">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ"
    crossorigin="anonymous">

</head>

<body>

  <header class="header-two-bars">

    <div class="header-first-bar">

      <div class="header-limiter">

        <nav>

          <a href="{% url 'index' %}" class="selected">Inicio</a>
          <a href="#">Quienes Somos</a>
          <a href="#">Servicios</a>
          <a href="#">Contactenos</a>
          {% if not user.is_authenticated %}
          <a href="{% url 'acceso' %}">Ingresa</a>
          <a href="{% url 'registro' %}">Registrate</a>
          {% endif %}
          {% if user.is_authenticated %}
          <a href="{% url 'cerrar' %}">Logout</a>
          {% endif %}
        </nav>

      </div>

    </div>

    <div class="header-second-bar">

      <div class="header-limiter">

        {% if user.is_authenticated %}
        <nav>
          <a href="{% url 'producto_ver'  %}"><i class="fas fa-sitemap"></i> Producto</a>
          <a href="{% url 'lista_ver'  %}"><i class="fas fa-list-ul"></i>Listas</a>
          <a href="{% url 'tienda_ver' %}"><i class="fas fa-shopping-cart"></i> Tiendas</a>
          {% endif %}
        </nav>

      </div>

    </div>

  </header>





  {% block content %}
  {% endblock %}

  {% block footer%}
  <!--Librerias -->
  <!--Librerias -->
  <script src="{% static 'js/jquery-3.3.1.js' %}"></script>
  <script src="{% static 'js/popper.js' %}"></script>
  <script src="{% static 'js/bootstrap.js' %}"></script>
  <script src="{% static 'js/lightbox.js' %}"></script>
  <script src="{% static 'js/jquery.validate.js' %}"></script>
  <script src="{% static 'js/additional-methods.js' %}"></script>



  <!-- app -->
  <script src="{% static 'js/app.js' %}"></script>


  <div class="w3hubs-footer">

    <div class="w3hubs-icon">
    </div>
    <div class="w3hubs-nav">
      <ul>    
        <img class="img-fluid" src="{% static 'img/empresa/logo_kefra.png' %}" alt="logo" width="160">

        <li><a href="#">Desarrollo Web Mobile - Kafra - Store - DWY4101-002D</a></li>
      </ul>
    </div>
  </div>
  {% endblock %}

</body>

</html>

kafra_app/templates/lista.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block content %}

<div class="container-fluid">
  <div class="container container-rescatados-style">
    <h3 style="color: rgb(201, 204, 32);">Listas de Compras</h3>
    <div class="form-group">
        <a class="btn float-right login_btn" style="color: white;background: black;" href="{% url 'lista_crear'  %}">Crear Lista</a>
    </div>
    <br/>
    <br/>
    <br/>
    <div class="row row-rescatados-title">
      <div class="col-md-1 col-rescatados-style">
        Id
      </div>
      <div class="col-md-7 col-rescatados-style">
        Nombre Lista
      </div>
      <div class="col-md-1 col-rescatados-style">
          Detalle
      </div>
      <div class="col-md-1 col-rescatados-style">
            Productos
      </div>
      <div class="col-md-1 col-rescatados-style">
          Editar
        </div>
        <div class="col-md-1 col-rescatados-style">
          Eliminar
        </div>
    </div>
    {% if lista %}
    <ul>
      {% for r in lista %}
      <div class="row row-rescatados-style">
        <div class="col-md-1 col-rescatados-style">
          {{r.id}}
        </div>
        <div class="col-md-7 col-rescatados-style">
          {{r.nombre_lista}}
        </div>
        <div class="col-md-1 col-rescatados-style"> 
            <a href="{% url 'lista_detalle' id=r.id %}">Ver</a>     
        </div> 
        <div class="col-md-1 col-rescatados-style">
            <a href="{% url 'lista_agregar' id=r.id %}">Agregar</a>
        </div>        
      <div class="col-md-1 col-rescatados-style">
          <a href="{% url 'lista_editar' id=r.id %}">Editar</a>
      </div>
        <div class="col-md-1 col-rescatados-style">          
          <a href="{% url 'lista_eliminar' id=r.id %}">Eliminar</a>
      </div>   
      </div>
      {% endfor %}

    </ul>
    {% else %}
    <p>No hay listas</p>
    {% endif %}
  </div>
  {% endblock %}

kafra_app/templates/lista_agregar.html
{% extends 'base.html' %}
{% load staticfiles %}


{% block content %}

<div class="container-fluid" id="editar">
    <div class="container container-rescatados-style">

        <form method="POST" class="productolista-form">
            <input type="hidden" name="csrfmiddlewaretoken" value="Ert4hACDG05pjRBP1b2mifJdXd24YbhZSFrztytZZNAfWIC6fMGabfIgaOGW6rLD">
            {% csrf_token %}
            <h3 style="color: rgb(201, 204, 32);">Agregar Producto</h3>
            <h5>Indica el producto a agregar en la lista</h4>
                <br>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="producto">Producto:</label>                            
                                {{form.producto}}
                                                     
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <button type="submit" class="save btn btn-default">Guardar</button>
                    </div>
                </div>

        </form>
    </div>
</div>



{% endblock %}

kafra_app/templates/registro.html
{% extends 'base.html' %}
{% load static %}

<head>
    {% block content %}
    <title>Registro Usuarios</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/registrar.css' %}">

</head>

<body>

    <div class="container">
        <div class="d-flex justify-content-center h-100">
            <div class="card">
                <div class="card-header">
                    <h3>Registrar</h3>
                </div>
                <div class="card-body">
                    <form class="persona_form" method="POST" enctype="multipart/form-data">
                        <input type="hidden" name="csrfmiddlewaretoken" value="4qxYfCvfmEYNb3Esn01253764p43z7oQZDVcXDfa5SXXC0wHTUfH39leJHnPVxRQ">
                        {% csrf_token %}
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-envelope"></i>
                                </span>
                            </div>

                            <input type="text" name="email" class="form-control" maxlength="100" required="" id="id_email"
                                placeholder="Ingresa un correo válido">
                        </div>

                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-hashtag"></i>
                                </span>
                            </div>

                            <input type="text" name="run" class="form-control" maxlength="12" required="" id="id_run"
                                placeholder="Ingresa tu rut">
                        </div>




                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-user"></i>
                                </span>
                            </div>

                            <input type="text" name="nombre_completo" class="form-control" maxlength="50" required=""
                                id="id_nombre_completo" placeholder="Ingresa tu nombre completo">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-birthday-cake"></i>
                                </span>
                            </div>
                            <input type="date" name="fechanac" required="" id="id_fechanac" placeholder="Ingresa tu Fecha de Nacimiento">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-phone-square"></i>
                                </span>
                            </div>
                            <input type="number" name="telefono" class="form-control" required="" id="id_telefono"
                                placeholder="Ingrese tu Telefono">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-key"></i>
                                </span>
                            </div>
                            <input type="password" class="form-control" required name="contrasenia" id="contrasenia"
                                placeholder="Ingresar Contraseña">
                        </div>

                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-map-marker-alt"></i>
                                </span>
                            </div>
                            <select name="regiones" id="regiones" class="form-control">
                                <option hidden value="">Seleccione Región</option>
                            </select>
                        </div>
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-map-marker-alt"></i>
                                </span>
                            </div>
                            <select name="comunas" id="comunas" class="form-control">
                                <option hidden value="">Seleccione Comuna</option>
                            </select>
                        </div>

                        <div class="form-group" style="margin-top: 10px;">
                            <button type="submit" class="btn float-right login_btn">Guardar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    {% endblock %}